Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Class CertPathBuilderSpi

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.CertPathBuilderSpi

Direct Known Subclasses:
  PKIXCertPathBuilderSpi

public abstract class CertPathBuilderSpi
extends java.lang.Object

The Service Provider Interface (SPI) for the CertPathBuilder class. All CertPathBuilder implementations must include a class (the SPI class) that extends this class (CertPathBuilderSpi) and implements all of its methods. In general, instances of this class should only be accessed through the CertPathBuilder class. For details, see the Java Cryptography Architecture.
Concurrent Access
Instances of this class need not be protected against concurrent access from multiple threads. Threads that need to access a single CertPathBuilderSpi instance concurrently should synchronize amongst themselves and provide the necessary locking before calling the wrapping CertPathBuilder object.
However, implementations of CertPathBuilderSpi may still encounter concurrency issues, since multiple threads each manipulating a different CertPathBuilderSpi instance need not synchronize.

Constructor Summary
`CertPathBuilderSpi()` The default constructor.

Method Summary
`abstract CertPathBuilderResult` | `engineBuild(CertPathParameters params)` Attempts to build a certification path using the specified algorithm parameter set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPathBuilderSpi

    public CertPathBuilderSpi()

  The default constructor.

Method Detail

### engineBuild

    public abstract CertPathBuilderResult engineBuild(CertPathParameters params)
                                               throws CertPathBuilderException,
                                                      java.security.InvalidAlgorithmParameterException

  Attempts to build a certification path using the specified algorithm parameter set.
  Parameters:
    `params` - the algorithm parameters
  Returns:
    the result of the build algorithm
  Throws:
    `CertPathBuilderException` - if the builder is unable to construct a certification path that satisfies the specified
    `parametersInvalidAlgorithmParameterException` - if the specified parameters are inappropriate for this CertPathBuilder

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD